SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000843SiT!sites & contactspublic2009-08-02 20:182009-08-16 14:39
ReporterTomse 
Assigned Toivan 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000843: adding a new site type generates an error
Descriptionsite_types.php (using SVN)

Adding a new site type, generates an error that db.sitetypes doesn't exist

it looks to me that site_types.php doesn't select the db prefix i.e. db.sit_sitetypes

Additional InformationWhen Editing a sitetype, the button text should probably not be "Add", but rather an approval for the settings
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001492)
paulh (administrator)
2009-08-02 20:31

This is an issue with the new form handling code. ProcessForm in lib/sitform.inc.php does insert into $this->tableName we probably need to pass in the dbSiteTypes name rather than sitetypes
User avatar (0001494)
ivan (administrator)
2009-08-03 10:55

Fixed in trunk svn r5722, now uses variable for table name
User avatar (0001680)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-08-02 20:18 Tomse New Issue
2009-08-02 20:25 Tomse Additional Information Updated
2009-08-02 20:31 paulh Note Added: 0001492
2009-08-02 20:31 paulh Status new => confirmed
2009-08-03 10:46 ivan Severity minor => crash
2009-08-03 10:46 ivan Target Version => 3.50
2009-08-03 10:53 ivan Status confirmed => assigned
2009-08-03 10:53 ivan Assigned To => ivan
2009-08-03 10:55 ivan Note Added: 0001494
2009-08-03 10:55 ivan Status assigned => resolved
2009-08-03 10:55 ivan Resolution open => fixed
2009-08-03 10:55 ivan Fixed in Version => Current SVN
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001680
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker